Since the first div. 3 round there were 23 of them and probably some of you noticed that the rounds have become quite difficult for their target audience -- people with rating below 1600. More and more often only 3-4 problems out of 6-7 total are really being solved by the official participants, while the rest of the problems are only solved by 100-200 people many of whom participate out of competition.

Not to be biased we can use such a tool as problem difficulty, a recent feature of codeforces. In the table below you can see round numbers, below -- amount of problems with difficulty 1600 and less in the particular round, below -- total amount of problems in the round.

Information in the right says that in average in a div. 3 round only 3.7 problems from about 7 in total have difficulty 1600 or less, which is only 55.8% of all problems of the round. Div. 3 announces allege that the rounds are going to be interesting for people with rating below 1600 and will seem easy to people with rating 1600-1899 and to people from div. 1. While in fact half of the problems of a div. 3 round are interesting to people with blue, purple and orange nicknames. So often purple guys can't really solve one or two problems of a div. 3 round.

We could compare that with statistics on educational round, that are pretty much prepared by the same people.

Round number in the first row, amount of problems with difficulty 1600 or less in the second row, total amount of problems in the third row, amount of problems with difficulty 2100 or less in the fourth row.

The statistics says, that in average educational rounds have only one easy (<= 1600 difficulty) problem more that div. 3 rounds. An educational rounds have the same problem when only 4 out of 7 problems have the difficulty of 2100 or less, which is the target audience. Last 2-3 problems of those round are only solved by a few people, mostly from out of competition.

How could we fix that?

1) Transfer too difficult problems from educational round to div. 1 rounds so that the latter ones could appear more often 2) Vacant places could be filled with too difficult problems from div. 3 rounds 3) Vacant places in div. 3 round could be filled with problems proposed by codeforces users

The more problems for the target audience are in the round, the less the difficulty gap between them. That could allow to make the ability to solve problems significant, not the ability to code fast.

Auto comment: topic has been updated by Nickir (previous revision, new revision, compare).Very well explained!

Yes,div3 is too hard now and i can hardly solve problems from it.

This is probably true, but problem difficulties for div 3 are pretty unrealistic: see this comment by farmersrice. I think the highest difficulty problem I've solved on CF is https://codeforces.com/contest/1133/problem/F2 which is a 2200 problem that's really not that hard

I share in this sentiment as 1176F is rated 2500 yet both the concept and the implementation did not prove too challenging to understand (just DP). Yet this is just one question out of many.

the problem is actually much easier than 2500

that is why he said he shares in this sentiment

let say the comment was to agree :)

My understanding is that problem rating is based on which participants actually solve the problem in-contest. When a problem appears at the end of its problemset, its difficulty will be inflated by the fact that people who otherwise could have solved it were busy doing the other problems.

I agree. I think even Div3's last problem should be similar or easier than Div2D

But in fact sometimes it is harder than div.2E

Is it time for a div 4 for newbies and pupils only?

And possibly a time for div 0 for 2400+?

div.1 is hard enough.If there is div.0,who will give the problem's that is much harder than div.1E?

If this comment gets to 100 upvotes I'll tell riela to make a div4 contest in the gym. xD

If dreamr comment gets 100 downvotes, I'll indeed prepare the round.

I agree.

I think in any division contestants should be distinguished mainly by the number of solved problems rather than the speed of coding. That could encourage contestants solve more and also learn more.

An extra division is provided for blue (or lower rated) users because Div2 problems are not enough to tell their difference. They are expected to do 2 or 3 problems fast and then do nothing but watch the round in Div2. Div3 should be intended to let them complete more problems in different difficulties so they can enjoy the round.

It should be a contest for targeted contestants, not a practice round of out-of-competition users.

I don’t think this is enough information to conclude that a change is needed. The last problem is routinely easier than div2 last problem, it just has insanely inflated rating. We should examine the solve rates instead.

In most rounds (no matter Div2 or Div3) the last problem is not intended to be solved by most contestants, so it is reasonable that only about ten solve it.

I agree with you that problem difficulty is highly influenced by the rating of participants, so it is not so objective to match its actual difficulty.

The point is, I think Div3 is introduced to layer low-rated participants, and statistically produce a smooth solve rate distribution. Although some rounds seems to be good (like Codeforces Round #531 (Div. 3)), others are still somehow unfriendly (like Codeforces Round #560 (Div. 3), Codeforces Round #552 (Div. 3), Codeforces Round #547 (Div. 3), Codeforces Round #527 (Div. 3)).

I hasn't collected so much data as Nickir. I checked the result of recent rounds and it's my conclusion.

My opinion:

It's normal to have a difficult problem in a contest. But It's very difficult to

real pupilto solve it. So,I think we canrated for 0~1749. And it shouldn't be too hard.Problems solved by 20~50 contestants is OK.For other questions,I think they are to easy for problem setter so they sometimes make CDE have the same difficulty.Because in their eyes,they are all "10 minutes' work".

So,we can invite more problem setter.Maybe Mr.Vovuh don't have so many good ideas so there are some similar problems.

As a person that frequently proposes and prepares last problems for Div. 3 rounds, I would like to express my thoughts about the issue. Note that it's only my opinion, and other people working on Div. 3 (Vovuh, MikeMirzayanov and PikMike) may disagree with this.

I think that the difficulty of the last problem is fine as it is. The measure of difficulty in problemset section tends to overestimate these problems. For example, is 1176F suited only for red participants, like its estimated difficulty (2500) says? Or 1165F, which has difficulty 2400? I don't think so, they are way easier than that.

In the russian section of the blog it was proposed that a person with stable 1900-2000 rating should be able to understand the solution and implementation details of any Div. 3 problem in a minute after reading the problem. I can't agree with this. There may be some problems that require pen and paper work to obtain a solution (especially math problems), problems that need crucial observations to actually come to a correct algorithm. I don't think that we should get rid of them.

In spite of what I have said earlier, I agree that the difficulty curve after first two or three problems should be improved. But I don't think that the best solution is to make hard problems easier. Perhaps it would be better if we had inserted a problem somewhere in the medium difficulty slot and extend the round by 15 minutes, so the curve would be better suited?

Right, those problems with difficulty 2400-2500 are overestimated. But their real difficulty is about 1900-2000 or higher anyway, which is not really cool for people with rating below 1600.

I don't think those last problems should be eliminated at all. So if all the problems have difficulty of 1600 or less it's not really cool either. I think that out of 7 problems in average just one or two should be more difficult that the level of 1600.

But adding an extra easy problem is cool too. Also we could take a closer look at DP problems. Most of div.3 problems contain a very difficult DP problem. Maybe we should just simplify that one or add an extra easy DP problem so that people could learn this topic. Same applies to the 'Graphs' topic.

Round #568 will now be Div2 instead of being Div3 <3

Do you know the reason?

I'm guessing that this blog is the reason,